BizKitHub
DocsAPI ReferenceLedger/bff/ledger/payment/list
getLedgerAdmin BFF

/bff/ledger/payment/list

Payments with allocation state, posting state and facets

LedgergetBffLedgerPaymentList

Parameters

14 query

Query parameters

· 14
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
state"unmatched" | "partial" | "settled" | "over" | "proposed"Optional
status"active" | "ignored" | "void" | "all"Optional
posting"posted" | "unposted" | "attention"Optional
kind"bank" | "gateway" | "cash" | "card" | "cod" | "credit" | "voucher" | "offset"Optional
direction"in" | "out"Optional
moneyAccountIdstringOptional
Length: 24–24
Exampleexample_moneyAccountId
dateFromstringOptional
Example2027-01-15
dateTostringOptional
Example2027-01-15
querystringOptional
Length: 0–100
Exampleexample_query
filterFulltextQuerystringOptional

DataGrid fulltext (same as query).

Length: 0–100
Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestring | numberOptional
Range: 1–∞
limitstring | numberOptional

Clamped to the DataGrid maximum.

Range: 1–∞

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/payment/list

get
curl -X GET "https://api.bizkithub.com/bff/ledger/payment/list?entityId=example_entityId&moneyAccountId=example_moneyAccountId&dateFrom=2027-01-15&dateTo=2027-01-15&query=example_query&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key